astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- Const1D

# Const1D

class `astropy.modeling.functional_models.``Const1D`(amplitude, **constraints)

  Bases: `astropy.modeling.core.Parametric1DModel`

  One dimensional Constant model.

  Parameters:

  amplitude : float

  > Value of the constant function

  See also

  `Const2D`

  Notes

  Model formula:

  > f(x) = A

  fixed: a dict
    a dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.
  tied: dict
    a dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.
  bounds: dict
    a dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.
  eqcons: list
    A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.
  ineqcons : list
    A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  Attributes Summary

  `amplitude` |
  `param_names` | list() -> new empty list

  Methods Summary

  `deriv`(x, amplitude) | One dimensional Constant model derivative
  `eval`(x, amplitude) | One dimensional Constant model function

  Attributes Documentation

  `amplitude`
  `param_names` = ['amplitude']

  Methods Documentation

  static `deriv`(x, amplitude)

    One dimensional Constant model derivative

  static `eval`(x, amplitude)

    One dimensional Constant model function